Updates the specified private endpoint service for the project. The cloud service provider manages the private endpoint service that belongs to the project.
Unique 24-hexadecimal digit string that identifies your project. Use the /groups endpoint to retrieve all projects to which the authenticated user has access.
NOTE: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.
Format should match the following pattern: ^([a-f0-9]{24})$.
Unique 24-hexadecimal digit string that identifies the private endpoint service that you want to update.
Format should match the following pattern: ^([a-f0-9]{24})$.
Flag that indicates whether Application wraps the response in an envelope JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.
Default value is false.
Flag that indicates whether the response body should be in the prettyprint format.
Default value is false.
Updates to apply to the private endpoint service.
Human-readable label that identifies the cloud service provider for the private endpoint service which you want to update.
Value is AWS.
List of regions that the endpoint service supports. Native cross region support is implemented for AWS only.
Not more than 35 elements.
atlas api privateEndpointServices updatePrivateEndpointService --help
import (
"os"
"context"
"log"
sdk "go.mongodb.org/atlas-sdk/v20250312001/admin"
)
func main() {
ctx := context.Background()
clientID := os.Getenv("MONGODB_ATLAS_CLIENT_ID")
clientSecret := os.Getenv("MONGODB_ATLAS_CLIENT_SECRET")
// See https://dochub.mongodb.org/core/atlas-go-sdk-oauth
client, err := sdk.NewClient(sdk.UseOAuthAuth(clientID, clientSecret))
if err != nil {
log.Fatalf("Error: %v", err)
}
params = &sdk.UpdateGroupPrivateEndpointEndpointServiceApiParams{}
sdkResp, httpResp, err := client.PrivateEndpointServicesApi.
UpdateGroupPrivateEndpointEndpointServiceWithParams(ctx, params).
Execute()
}
curl --include --header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
--header "Content-Type: application/json" \
-X PATCH "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/privateEndpoint/endpointService/{endpointServiceId}" \
-d '{ <Payload> }'
curl --user "${PUBLIC_KEY}:${PRIVATE_KEY}" \
--digest --include \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
--header "Content-Type: application/json" \
-X PATCH "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/privateEndpoint/endpointService/{endpointServiceId}" \
-d '{ <Payload> }'
{
"cloudProvider": "AWS",
"supportedRemoteRegions": [
"string"
]
}
# Headers
# Payload
{
"cloudProvider": "AWS",
"errorMessage": "string",
"id": "32b6e34b3d91647abb20e7b8",
"regionName": "string",
"status": "INITIATING",
"endpointServiceName": "string",
"interfaceEndpoints": [
"32b6e34b3d91647abb20e7b8"
],
"supportedRemoteRegions": [
"string"
]
}
# Headers
# Payload
{
"cloudProvider": "AZURE",
"errorMessage": "string",
"id": "32b6e34b3d91647abb20e7b8",
"regionName": "string",
"status": "INITIATING",
"privateEndpoints": [
"string"
],
"privateLinkServiceName": "string",
"privateLinkServiceResourceId": "/subscriptions/ae349d51-d12b-ee3d-2a27-7d53f6479cf0/resourcegroups/KObGGz/providers/Microsoft.Network/privateLinkServices/pls_d1820713f8153388d533e9de"
}
# Headers
# Payload
{
"cloudProvider": "GCP",
"errorMessage": "string",
"id": "32b6e34b3d91647abb20e7b8",
"regionName": "string",
"status": "INITIATING",
"endpointGroupNames": [
"string"
],
"portMappingEnabled": true,
"serviceAttachmentNames": [
"string"
]
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 429,
"errorCode": "RATE_LIMITED",
"reason": "Too Many Requests"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}